## PaddleOCR API

---

**$host: https://img.ifarmcloud.com/ocr**

**接口说明：[内网](http://192.168.1.6:10393/shareDoc?issue=df3c14ae8582a40ee191762f8fda504b) 、
[外网](https://console-docs.apipost.cn/preview/d46d3cce127f3856/39166dc588c72981)**

**参数中： * 为必传参数**

**返回数据：{success: "bool：是否成功", message: "text：说明信息", data: "json：数据主体"}**

---

+ $host/  
  + 请求方法：GET、浏览器直接访问
  + 说明：在线测试演示首页
  + 详见：[HuiMv OCR Index](http://139.9.167.178:5050/)

+ $host/com/
  + 通用OCR接口
  + 请求方法：POST
  + 参数列表：
    + *picture: 待识别的图片文件
    + type: 操作类型（raw：原生OCR内容，filter：仅返回识别文字列表【默认】，html：结果以HTML展示）
  + 返回数据：JSON
  + 详见接口说明：[内网](http://192.168.1.6:10393/shareDoc?issue=4372c38974a592f95748939af1c40b52) 、
    [外网](https://console-docs.apipost.cn/preview/4cc8e896b0556775/953929384b227f1d)

+ $host/idc/
  + 大陆居民身份证识别接口
  + 请求方法：POST
  + 参数列表：
    + *picture: 待识别的图片文件
    + *which: 身份证正反面（face：人像面，icon：国徽面）
  + 返回数据：JSON
  + 详见接口说明：[内网](http://192.168.1.6:10393/shareDoc?issue=2f9f3334ea40558d20ba42057ffd45c2) 、
    [外网](https://console-docs.apipost.cn/preview/7da01bde77cb4e05/90734f27243d2309)
    
